org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.AddReplica

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CollectionAdminResponse>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<T>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest<T>
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAsyncAdminRequest<CollectionAdminRequest.AddReplica>
        - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AddReplica

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest<Q extends CollectionAdminRequest<Q>>

    public static class CollectionAdminRequest.AddReplica
    extends CollectionAdminRequest.CollectionShardAsyncAdminRequest<CollectionAdminRequest.AddReplica>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionShardAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionShardAsyncAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionSpecificAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionSpecificAsyncAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected String` `dataDir`
`protected String` `instanceDir`
`protected String` `node`
`protected Properties` `properties`
`protected String` `routeKey`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAsyncAdminRequest

`asyncId`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest

`collection, shardName`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action`

### Constructor Summary

Constructors
Constructor and Description
`AddReplica()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDataDir()`
`String` `getInstanceDir()`
`String` `getNode()`
`SolrParams` `getParams()`
`Properties` `getProperties()`
`String` `getRouteKey()`
`protected CollectionAdminRequest.AddReplica` `getThis()`
`CollectionAdminRequest.AddReplica` `setDataDir(String dataDir)`
`CollectionAdminRequest.AddReplica` `setInstanceDir(String instanceDir)`
`CollectionAdminRequest.AddReplica` `setNode(String node)`
`CollectionAdminRequest.AddReplica` `setProperties(Properties properties)`
`CollectionAdminRequest.AddReplica` `setRouteKey(String routeKey)`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAsyncAdminRequest

`getAsyncId, setAsyncId`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest

`getCollectionName, getShardName, setCollectionName, setShardName`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, createResponse, getContentStreams, setAction`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### node

    protected String node

#### routeKey

    protected String routeKey

#### instanceDir

    protected String instanceDir

#### dataDir

    protected String dataDir

#### properties

    protected Properties properties

### Constructor Detail

#### AddReplica

    public AddReplica()

### Method Detail

#### getProperties

    public Properties getProperties()

#### setProperties

    public CollectionAdminRequest.AddReplica setProperties(Properties properties)

#### getNode

    public String getNode()

#### setNode

    public CollectionAdminRequest.AddReplica setNode(String node)

#### getRouteKey

    public String getRouteKey()

#### setRouteKey

    public CollectionAdminRequest.AddReplica setRouteKey(String routeKey)

#### getInstanceDir

    public String getInstanceDir()

#### setInstanceDir

    public CollectionAdminRequest.AddReplica setInstanceDir(String instanceDir)

#### getDataDir

    public String getDataDir()

#### setDataDir

    public CollectionAdminRequest.AddReplica setDataDir(String dataDir)

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest.CollectionShardAsyncAdminRequest<CollectionAdminRequest.AddReplica>`

#### getThis

    protected CollectionAdminRequest.AddReplica getThis()

Specified by:
  `getThis` in class `CollectionAdminRequest<CollectionAdminRequest.AddReplica>`